SoGLDepthBufferElement(3)

NAME
SoGLDepthBufferElement - The SoGLDepthBufferElement controls the OpenGL depth buffer.

SYNOPSIS

#include <Inventor/elements/SoGLDepthBufferElement.h>

Inherits SoDepthBufferElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)

  Protected Member Functions
virtual ~SoGLDepthBufferElement ()
virtual void setElt (SbBool test, SbBool write, DepthWriteFunction function, SbVec2f range)

  Additional Inherited Members

Detailed Description

The SoGLDepthBufferElement controls the OpenGL depth buffer. Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
Since
    Coin 3.0

Constructor & Destructor Documentation

  SoGLDepthBufferElement::~SoGLDepthBufferElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLDepthBufferElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLDepthBufferElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLDepthBufferElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLDepthBufferElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLDepthBufferElement::init (SoState * state) [virtual]
Internal Coin method.

Reimplemented from SoDepthBufferElement.

  void SoGLDepthBufferElement::push (SoState * state) [virtual]
Internal Coin method.

Reimplemented from SoDepthBufferElement.

  void SoGLDepthBufferElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
Internal Coin method.

Reimplemented from SoDepthBufferElement.

  void SoGLDepthBufferElement::setElt (SbBool test, SbBool write, DepthWriteFunction function, SbVec2f range) [protected], [virtual]
Set this element's values.

Reimplemented from SoDepthBufferElement.

Author

Generated automatically by Doxygen for Coin from the source code.